### Hierarchy

- Controller

## Index

### Properties

- arrowDirections
- arrowPositions
- color
- feature
- featureHelper_
- featureListenerKeys_
- label
- measure
- scope_
- type
- uid

### Methods

- getSetAngle
- getSetArrowDirection
- getSetArrowPosition
- getSetName
- getSetOpacity
- getSetProperty_
- getSetShowLabel
- getSetShowMeasure
- getSetSize
- getSetStroke
- handleColorSet_
- handleFeatureChange_
- handleFeatureSet_
- handleGeometryChange_

## Properties

### arrowDirections

arrowDirections: { BACKWARDS: string; BOTH: string; FORWARDS: string; NONE: string }

- Defined in src/drawing/featureStyleComponent.js:131

Arrow possible direction on segments of lines.

#### Type declaration

- ##### BACKWARDS: string

- ##### BOTH: string

- ##### FORWARDS: string

- ##### NONE: string

### arrowPositions

arrowPositions: { EVERY: string; FIRST: string; LAST: string }

- Defined in src/drawing/featureStyleComponent.js:138

Arrow possible position on lines.

#### Type declaration

- ##### EVERY: string

- ##### FIRST: string

- ##### LAST: string

### color

color: string

- Defined in src/drawing/featureStyleComponent.js:112

### feature

feature: Feature<Geometry>

- Defined in src/drawing/featureStyleComponent.js:97

### featureHelper_

featureHelper_: FeatureHelper

- Defined in src/drawing/featureStyleComponent.js:107

### featureListenerKeys_

featureListenerKeys_: EventsKey[]

- Defined in src/drawing/featureStyleComponent.js:145

### label

label: string

- Defined in src/drawing/featureStyleComponent.js:117

### measure

measure: string

- Defined in src/drawing/featureStyleComponent.js:124

Value of the measure (line length, area, ...).

### scope_

scope_: IScope

- Defined in src/drawing/featureStyleComponent.js:102

### type

type: string

- Defined in src/drawing/featureStyleComponent.js:169

### uid

uid: string

- Defined in src/drawing/featureStyleComponent.js:92

## Methods

### getSetAngle

- getSetAngle(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:220

  #### Parameters

  - ##### value: number

    A name value to set or undefined to get.

  #### Returns number

  The angle of the feature.

### getSetArrowDirection

- getSetArrowDirection(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:278

  #### Parameters

  - ##### value: number

    A arrow-direction value to set or undefined to get.

  #### Returns number

  The arrow-direction of the feature.

### getSetArrowPosition

- getSetArrowPosition(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:286

  #### Parameters

  - ##### value: number

    A arrow-position value to set or undefined to get.

  #### Returns number

  The arrow-position of the feature.

### getSetName

- getSetName(value: string): string

- - Defined in src/drawing/featureStyleComponent.js:228

  #### Parameters

  - ##### value: string

    A name value to set or undefined to get.

  #### Returns string

  The name of the feature.

### getSetOpacity

- getSetOpacity(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:245

  #### Parameters

  - ##### value: number

    A stroke value to set or undefined to get.

  #### Returns number

  The stroke of the feature.

### getSetProperty_

- getSetProperty_(key: string, value: string | number | boolean): string | number | boolean

- - Defined in src/drawing/featureStyleComponent.js:296

  #### Parameters

  - ##### key: string

    The property name.

  - ##### value: string | number | boolean

    A value to set or undefined to get.

  #### Returns string | number | boolean

  The property value of the feature.

### getSetShowLabel

- getSetShowLabel(value: boolean): boolean

- - Defined in src/drawing/featureStyleComponent.js:237

  #### Parameters

  - ##### value: boolean

    A value to set or undefined for the purpose of showing the attribute labels or not.

  #### Returns boolean

  Whether to show the labels or not.

### getSetShowMeasure

- getSetShowMeasure(value: boolean): boolean

- - Defined in src/drawing/featureStyleComponent.js:254

  #### Parameters

  - ##### value: boolean

    A value to set or undefined to get for the purpose of showing the geometry measurements or not.

  #### Returns boolean

  Whether to show the measurements or not.

### getSetSize

- getSetSize(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:262

  #### Parameters

  - ##### value: number

    A size value to set or undefined to get.

  #### Returns number

  The size of the feature.

### getSetStroke

- getSetStroke(value: number): number

- - Defined in src/drawing/featureStyleComponent.js:270

  #### Parameters

  - ##### value: number

    A stroke value to set or undefined to get.

  #### Returns number

  The stroke of the feature.

### handleColorSet_

- handleColorSet_(newColor: string): void

- - Defined in src/drawing/featureStyleComponent.js:207

  #### Parameters

  - ##### newColor: string

    Color.

  #### Returns void

### handleFeatureChange_

- handleFeatureChange_(): void

- - Defined in src/drawing/featureStyleComponent.js:306

  #### Returns void

### handleFeatureSet_

- handleFeatureSet_(newFeature: Feature<Geometry>, previousFeature: Feature<Geometry>): void

- - Defined in src/drawing/featureStyleComponent.js:163

  Called when a new feature is set, which can also be null.

  #### Parameters

  - ##### newFeature: Feature<Geometry>

    New feature or null value.

  - ##### previousFeature: Feature<Geometry>

    Previous feature or null value.

  #### Returns void

### handleGeometryChange_

- handleGeometryChange_(): void

- - Defined in src/drawing/featureStyleComponent.js:316

  #### Returns void

Generated using TypeDoc